<?php

# check if session is valid
$newTarget = '/app/berogui/index.php';
require_once('/usr/local/www/berogui/includes/session.php');
unset($newTarget);

include('/usr/php/include/configExportImportTool.class.php');

switch ($_GET['option']) {
case 'BEROFIX-MIB':
	$file = implode('', file('/usr/local/conf/BEROFIX-MIB.txt'));
	$filename = 'BEROFIX-MIB.txt';
	break;
case 'certificate':
	if ($_GET['file'] == 'cafile'){
		$file = implode('', file('/usr/conf/cafile.pem'));
		$filename = 'cafile.pem';
	} elseif ($_GET['file'] == 'agent') {
		$file = implode('', file('/usr/conf/agent.pem'));
		$filename = 'agent.pem';
	}
	break;
case 'certificate_https':
	$file = implode('', file('/usr/conf/berofix.pem'));
	$filename = 'berofix.pem';
	break;
default:
	preg_match('/carduuid=([0-9\-]*)/', file_get_contents('/proc/cmdline'), $matches);
	$serial = $matches[1];
	unset($matches);

	$exp = new configExportImportTool();
	$file = $exp->exportConfig();
	$filename = 'beroNetVoIPGateway_' . $serial . '_' . date('c') . '.config.xml';
	break;
}

header('Content-Type: application/force-download');
header('Content-Disposition: attachment; filename=' . $filename . "\r\n\r\n");
header('Content-Length: '. strlen($file) . "\n\n");
echo $file;

exit(0);

?>
